"""IO Module for IAGA 2002 Format

Based on documentation at:
  http://www.ngdc.noaa.gov/IAGA/vdat/iagaformat.html
"""
from __future__ import absolute_import

from .IAGA2002Factory import IAGA2002Factory
from .StreamIAGA2002Factory import StreamIAGA2002Factory
from .IAGA2002Parser import IAGA2002Parser
from .IAGA2002Writer import IAGA2002Writer


__all__ = [
    'IAGA2002Factory',
    'StreamIAGA2002Factory',
    'IAGA2002Parser',
    'IAGA2002Writer'
]
